# Reference: <https://postmarketos.org/devicepkg>
# Contributor: Martijn Braam <martijn@brixit.nl>
pkgname="device-pine64-pinetab"
pkgdesc="PINE64 PineTab"
pkgver=0.1
pkgrel=15
url="https://postmarketos.org"
license="MIT"
arch="aarch64"
options="!check !archcheck"
depends="postmarketos-base linux-postmarketos-allwinner u-boot-pine64 uboot-tools mesa-git-dri-gallium bluez"
makedepends="devicepkg-dev"
subpackages="
	$pkgname-sway
	$pkgname-weston
	$pkgname-phosh
	$pkgname-nonfree-firmware:nonfree_firmware
"
install="$pkgname.post-install"
source="
	deviceinfo
	uboot-script.cmd
	sysrq.conf
	sway.conf
	99-pinetab-keyboard.hwdb
	weston.ini
	rootston.ini
"

build() {
	devicepkg_build $startdir $pkgname
	mkimage \
		-A arm \
		-O linux \
		-T script \
		-C none \
		-a 0 \
		-e 0 \
		-n postmarketos \
		-d "$srcdir"/uboot-script.cmd \
		"$srcdir"/boot.scr
}

sway() {
	install_if="$pkgname postmarketos-ui-sway"
	depends="dmenu"
	install -D -m644 "$srcdir"/sway.conf \
		"$subpkgdir"/etc/sway/config.d/pinetab
}

weston() {
	install_if="$pkgname postmarketos-ui-weston"
	install -Dm644 "$srcdir"/weston.ini \
		"$subpkgdir"/etc/xdg/weston/weston.ini
}

phosh() {
	install_if="$pkgname postmarketos-ui-phosh"
	install -Dm644 "$srcdir"/rootston.ini \
		"$subpkgdir"/etc/phosh/rootston.ini
}

package() {
	devicepkg_package $startdir $pkgname

	# U-Boot
	install -Dm644 "$srcdir"/boot.scr \
		"$pkgdir"/boot/boot.scr

	# Fix "sysrq: HELP..." messages in dmesg while playing audio
	# (Headphone output interferes with the serial console on the headphone jack)
	install -D -m644 "$srcdir"/sysrq.conf \
		"$pkgdir"/etc/sysctl.d/sysrq.conf

	# Fix for the meta key on v1 keyboard dock, probably not needed on newer revisions
	install -Dm644 "$srcdir"/99-pinetab-keyboard.hwdb \
		"$pkgdir"/etc/udev/hwdb.d/99-pinetab-keyboard.hwdb
}

nonfree_firmware() {
	pkgdesc="Bluetooth Firmware"
	depends="firmware-rtl8723bt"
	mkdir "$subpkgdir"
}

sha512sums="cdcae98f3dbd995689777c44f42749539e7ac17295693e5b64e528bb8b32203ad2a6c75f774ab513779b773793b474c1d3ec53ee25621e2b1d62989772b675c5  deviceinfo
1f3108007bd443f86ed8af2b2d84705c52ffcf73809a90ef5e4a1f618b73ab39baf8f8139d578c88e66f589464f8c47d53f72bf46f14b8fa78d962ae10d7d6d2  uboot-script.cmd
f4b5509fd6a8b23f3667f5e7262b3a19c607a37cb9eaf7d0e93eb826d45c26ec12df4810879bacb8e4042bb83cc80b2b436224c8d47b6d67361369a724bbf7ee  sysrq.conf
9e71c61bfa72b60e749c4dc04f17eb59d25de822765e81e65c937d6be5236d3951a652b69a1ab973abe6add9f34705be5dbaa98bbfa25daf7504dd50b28524c2  sway.conf
8d1ef04911f1cfa7eda8185f4f4d807af23105a7c8f23d8c18f02afeccd8ab124de70c2e2760c154a3128fe3793447039fb0abf37aa496f597d27051e275033e  99-pinetab-keyboard.hwdb
6374ef977eab14b71fa88057ebd52ca03035e387e5f41504598a990f24b2e92bccd2db476c545dc541000e08fccdecb6f1cd63e25b5835df706269e0384dacc7  weston.ini
38827d9636c48b133eb333764a6799a6e93454e01ecb0cfde1ecad3ee149606ba59eb1a5e6c8366e3b3891e54bd664a0a5acdd89d38ac3a3551260e9b9a6d3fc  rootston.ini"
